<?php
//En este modelo se encuentran todas las consultas relaizadas en la tabla de Usuarios(Administrador general)
class Usuarios_model extends CI_Model
{
  function fetch_data()
{
   $this->db->join('franquicias','Franquicias_IdFranquicias = IdFranquicias','inner');
   $this->db->join('rol','Rol_IdRol= IdRol','inner');
   $this->db->order_by("IdUsuarios", "NombreUsuario");$query = $this->db->get("usuarios");
  return $query->result();
}
function actiongeneral()
{
  $this->load->model("usuarios_model");
  $this->load->library("excel");
}
//Consulta que muestra las Franquicias registradas
    public function BuscarFranq(){
     $query = $this->db-> query('SELECT IdFranquicias,NombreFranquicia FROM franquicias'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdFranquicias, ENT_QUOTES)] = htmlspecialchars($row->NombreFranquicia, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
}  
//consulta que hace la busqueda del usuario dependiendo de la franquicia
    public function buscarporfranquicia($query) {
    $this->db->where('Franquicias_IdFranquicias', $query);
     //Valida que se haya hecho la consulta
    $query = $this->db->get('usuarios');
    if ($query->num_rows() > 0){
      return $query;
    }else{
      //  echo "<script>alert('No se encontrarón los datos solicitados');</script>";
      // redirect('reportes/Administrador/RUsuarios','refresh');
       echo "<script>alert('No se encontrarón los datos solicitados');
                 window.location.href='".base_url()."reportes/Administrador/RUsuarios';
                 </script>";
    }
}  
    public function BuscarRol(){
     $query = $this->db-> query('SELECT IdRol,NombreRol FROM rol'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdRol, ENT_QUOTES)] = htmlspecialchars($row->NombreRol, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
}
    public function buscarporrol($query) {
    $this->db->where('Rol_IdRol', $query);
     //Valida que se haya hecho la consulta
    $query = $this->db->get('usuarios');
    if ($query->num_rows() > 0){
      return $query;
    }else{
      }
  }
}
